- Clientes
- Buscar cliente
Clientes
Buscar cliente
Buscar cliente
GET
/customers/{customerId}
curl --request GET \
--url https://api.treeunfe.com.br/api/v1/customers/{customerId} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://api.treeunfe.com.br/api/v1/customers/{customerId} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>'Autenticação
x-api-key
required
string
API Key da empresa.
Parâmetros de rota
customerId
required
string
ID (UUID) do cliente.
Respostas
| Status | Descrição |
|---|---|
200 | Cliente. |
404 | Recurso não encontrado. |
curl -X GET "https://api.treeunfe.com.br/api/v1/customers/CUSTOMERID" \
-H "x-api-key: SUA_API_KEY"
{
"CNPJCPF": "12345678909",
"xNome": "Cliente Teste",
"indIEDest": "NAO_CONTRIBUINTE",
"IE": "string",
"email": "cliente@exemplo.com.br",
"address": {
"xLgr": "Rua das Palmeiras",
"nro": "456",
"xCpl": "string",
"xBairro": "Centro",
"cMun": 3550308,
"xMun": "São Paulo",
"UF": "SP",
"CEP": "01002000",
"fone": "string"
}
}
curl -X GET "https://api.treeunfe.com.br/api/v1/customers/CUSTOMERID" \
-H "x-api-key: SUA_API_KEY"
curl --request GET \
--url https://api.treeunfe.com.br/api/v1/customers/{customerId} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://api.treeunfe.com.br/api/v1/customers/{customerId} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>'{
"CNPJCPF": "12345678909",
"xNome": "Cliente Teste",
"indIEDest": "NAO_CONTRIBUINTE",
"IE": "string",
"email": "cliente@exemplo.com.br",
"address": {
"xLgr": "Rua das Palmeiras",
"nro": "456",
"xCpl": "string",
"xBairro": "Centro",
"cMun": 3550308,
"xMun": "São Paulo",
"UF": "SP",
"CEP": "01002000",
"fone": "string"
}
}